%define ocamlpck  unix-errno
Name:          ocaml-unix-errno
Version:       0.6.1
Release:       2mamba
Summary:       Unix errno types, maps, and support for OCaml
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xapi-project/ocaml-unix-errno
Source:        https://github.com/xapi-project/ocaml-unix-errno.git/%{version}/ocaml-unix-errno-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-bigarray-compat-devel
BuildRequires: ocaml-ctypes-devel
BuildRequires: ocaml-integers
BuildRequires: ocaml-result
## AUTOBUILDREQ-END
BuildRequires: ocaml-ctypes-devel >= 0.20.0-2mamba
BuildRequires: dune

%description
Unix errno types, maps, and support for OCaml.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
# requires alcotest; skipping
rm -rf unix_test

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_lib}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%defattr(-,root,root)
%{_bindir}/errno-map
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES README.md


%changelog
* Wed Feb 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-2mamba
- rebuilt with ocaml-ctypes-devel 0.20.0-2mamba

* Tue Feb 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.1-1mamba
- update to 0.6.1

* Sun Feb 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.2-1mamba
- package created using the webbuild interface
